Subject: bug#42538: 28.0.50; tramp-test35-remote-path test timing out on macOS

From: Michael Albinus <[email-masked]>
Date: Sun, 26 Jul 2020 11:19:31 +0200

Philipp <[email-masked]> writes:

Hi Philipp,

> This is another follow-up to Bug#30700.  This time a specific TRAMP test
> times out on macOS:
>
> $ timeout -v 30m make -C test lisp/net/tramp-tests SELECTOR=tramp-test35-remote-path
>   GEN      lisp/net/tramp-tests.log
> Running 1 tests (2020-07-25 20:28:58+0200, selector `tramp-test35-remote-path')
> timeout: sending signal TERM to command ‘make’
> make[1]: *** [lisp/net/tramp-tests.log] Terminated: 15
> make: *** [lisp/net/tramp-tests] Terminated: 15

Well, I don't run macOS, so I cannot reproduce.

Could you please apply the appended patch to tramp-tests.el? Then run

$ rm test/lisp/net/tramp-tests.log
$ timeout -v 30s make -C test lisp/net/tramp-tests.log SELECTOR=tramp-test35-remote-path

This generates the file tramp-tests.log, which I would like to
see. Likely, it is huge, so pls send it directly to me.

I have also shortened the timeout to 30s; usually the test runs a
second, or two.

Best rewgards, Michael.

diff --git a/test/lisp/net/tramp-tests.el b/test/lisp/net/tramp-tests.el
index 34782e7f15..b41f5bad87 100644
--- a/test/lisp/net/tramp-tests.el
+++ b/test/lisp/net/tramp-tests.el
@@ -5213,6 +5213,7 @@ tramp-test35-remote-path
   ;; Since Emacs 27.1.
   (skip-unless (fboundp 'exec-path))

+  (tramp--test-instrument-test-case 6
   (let* ((tmp-name (tramp--test-make-temp-name))
 	 (default-directory tramp-test-temporary-file-directory)
          (orig-exec-path (with-no-warnings (exec-path)))
@@ -5267,7 +5268,7 @@ tramp-test35-remote-path
       ;; Cleanup.
       (tramp-cleanup-connection tramp-test-vec 'keep-debug 'keep-password)
       (setq tramp-remote-path orig-tramp-remote-path)
-      (ignore-errors (delete-directory tmp-name 'recursive)))))
+      (ignore-errors (delete-directory tmp-name 'recursive))))))

 (ert-deftest tramp-test36-vc-registered ()
   "Check `vc-registered'."